> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gominerva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete screening webhook

> The **DELETE** method on a single screening webhook resource will delete the webhook with that ID permanently. This will deactivate the webhook and remove it from the list of subscribed webhooks in the tenant and the target server/url will no longer receive notifications from the webhook. This method can be used to deactivate or delete webhooks that are not being used anymore. It may also be necessary to use this endpoint if the maximum number of allowed webhooks for the tenant is reached (default maximum of 10).



## OpenAPI

````yaml /api-reference/admin-api.json delete /v2/webhooks/screening/{webhookId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: MinervaAI Admin API
  description: Admin endpoints for the Minerva application suite
servers:
  - url: https://admin-api.gominerva.com
    description: The instance of admin-api to send the Swagger test requests to
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v2/webhooks/screening/{webhookId}:
    delete:
      tags:
        - Screening Webhooks
      summary: Delete screening webhook
      description: >-
        The **DELETE** method on a single screening webhook resource will delete
        the webhook with that ID permanently. This will deactivate the webhook
        and remove it from the list of subscribed webhooks in the tenant and the
        target server/url will no longer receive notifications from the webhook.
        This method can be used to deactivate or delete webhooks that are not
        being used anymore. It may also be necessary to use this endpoint if the
        maximum number of allowed webhooks for the tenant is reached (default
        maximum of 10).
      parameters:
        - in: path
          name: webhookId
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the webhook to delete
          example: ecc9b161-e6bf-48e4-816d-b13046a42eaa
      responses:
        '200':
          description: Webhook deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Webhook deleted successfully
        '403':
          description: API key invalid or insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Webhook not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ApiError:
      type: object
      description: Standard API error response
      properties:
        status:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad request
        code:
          type: string
          description: Error code
          example: VALIDATION_ERROR
      required:
        - status
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Admin API key for authentication. Manage API keys in the Minerva
        dashboard under Administration > Developers.

````